Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class ParameterizedStringTarget

    java.lang.Object
      |
      +--netscape.security.Target
            |
            +--netscape.security.UserTarget
                  |
                  +--netscape.security.ParameterizedTarget
                        |
                        +--netscape.security.ParameterizedStringTarget

public class ParameterizedStringTarget
extends ParameterizedTarget

Constructor Summary
`ParameterizedStringTarget()`
`ParameterizedStringTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String detailDescription, java.lang.String url)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] prinAry, java.lang.Object data)`
`Privilege` | `enablePrivilege(Principal prin, java.lang.Object data)`
`java.lang.String` | `getDetailedInfo(java.lang.Object data)`

Methods inherited from class netscape.security.Target
`checkPrivilegeEnabled, checkPrivilegeEnabled, equals, findTarget, findTarget, findTarget, getAllRegisteredTargets, getDescription, getDetailDescription, getHelpUrl, getName, getRisk, getRiskColor, getTargetFromDescription, hashCode, registerTarget, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterizedStringTarget

    public ParameterizedStringTarget()

### ParameterizedStringTarget

    public ParameterizedStringTarget(java.lang.String name,
                                     Principal prin,
                                     int risk,
                                     java.lang.String riskColor,
                                     java.lang.String description,
                                     java.lang.String detailDescription,
                                     java.lang.String url)

Method Detail

### getDetailedInfo

    public java.lang.String getDetailedInfo(java.lang.Object data)

  Overrides:
    getDetailedInfo in class ParameterizedTarget

### enablePrivilege

    public Privilege enablePrivilege(Principal prin,
                                     java.lang.Object data)

  Overrides:
    enablePrivilege in class ParameterizedTarget

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] prinAry,
                                           java.lang.Object data)

  Overrides:
    checkPrivilegeEnabled in class ParameterizedTarget

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD